# class Gem::Resolver::Molinillo::DependencyGraph::Tag

@!visibility private @see `DependencyGraph#tag`

### Attributes

tag[R]

@return [Object] An opaque tag

### Public Class Methods

action_name() click to toggle source

(see `Action.action_name`)

    # File lib/rubygems/resolver/molinillo/lib/molinillo/dependency_graph/tag.rb, line 12
    def self.action_name
      :tag
    end

new(tag) click to toggle source

Initialize an action to tag a state of a dependency graph @param [Object] tag an opaque tag

    # File lib/rubygems/resolver/molinillo/lib/molinillo/dependency_graph/tag.rb, line 31
    def initialize(tag)
      @tag = tag
    end

### Public Instance Methods

down(graph) click to toggle source

(see `Action#down`)

    # File lib/rubygems/resolver/molinillo/lib/molinillo/dependency_graph/tag.rb, line 21
    def down(graph)
    end

up(graph) click to toggle source

(see `Action#up`)

    # File lib/rubygems/resolver/molinillo/lib/molinillo/dependency_graph/tag.rb, line 17
    def up(graph)
    end